Name:           solarspeed-ioncube
Version:        4.0.10
Release:        SOL1
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         SOLARSPEED.NET
URL:            http://www.solarspeed.net
License:        Proprietory
Group:          System
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      x86_64
Distribution:   BlueOnyx 5106R or Aventurin{e} 6105R
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        IonCube is a commercial encryption and accellerator program for PHP scripts.
Requires	: libmcrypt >= 2.5.7
Requires	: libtool-ltdl

AutoReq         : no
AutoProv        : yes

%description
IonCube is a commercial encryption and accellerator program for PHP scripts.
Solarspeed.net GUI enhanced software uses IonCube to both protect the 
source code and to accellerate the execution of those scrips.

%prep
%setup -q -n %{name}-%{version}-%{release}

%build

rm -R -f $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mv * $RPM_BUILD_ROOT/

%install
  [ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# Symlinks:
# Recreates source tarball if need be - with dereferenced symlinks.

    find $RPM_BUILD_ROOT/ -type l -print | \
    sed "s@^$RPM_BUILD_ROOT@@g" > solSymLinks.list
    if [ "$(cat solSymLinks.list)X" = "X" ] ; then
        pwd
    else
        rm -f %{name}-%{version}-%{release}.tar.gz
        tar czvfh /usr/src/redhat/SOURCES/%{name}-%{version}-%{release}.tar.gz -C /usr/src/redhat/SOURCES/ %{name}-%{version}-%{release}/
    fi

# Files:

  find $RPM_BUILD_ROOT/ -type f -print | \
    sed "s@^$RPM_BUILD_ROOT@@g" | \
    grep -v perllocal.pod | \
    grep -v ioncube.hidden | \
    grep -v "\.packlist" > solFile.list

  if [ "$(cat solFile.list)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
  fi

%pre

%post

%preun

%postun

%clean
rm -R -f $RPM_BUILD_ROOT

%files -f solFile.list
%defattr(-,root,root)

%changelog

* Sat Aug 06 2011 Michael Stauber <mstauber@solarspeed.net>
- [4.0.10-SOL1:] Updated to v4.0.10

* Tue Jul 12 2011 Michael Stauber <mstauber@solarspeed.net>
- [4.0.9-SOL2:] Updated for BlueOnyx 5107R

* Sun Jun 19 2011 Michael Stauber <mstauber@solarspeed.net>
- [4.0.9-SOL1:] Updated for BlueOnyx

* Mon Dec 22 2008 Michael Stauber <mstauber@solarspeed.net>
- [3.1.32-2008AV06:] Updated for BlueOnyx

* Mon Jul 09 2008 Michael Stauber <mstauber@solarspeed.net>
- [3.1.32-2008AV05:] Updated for BlueQuartz 5106R and Aventurin{e} 6105R

* Fri May 18 2007 Michael Stauber <mstauber@solarspeed.net>
- [3.1.31-SOL1:] Update of IonCube Loader to Version 3.1.31
- Changed version numbering to reflect IonCube Loader version.

* Fri Dec 08 2006 Michael Stauber <mstauber@solarspeed.net>
- [1.0.1-SOL1:] Update of IonCube Loader to Version 3.1.24 (PHP-5.2.X ready)

* Tue Aug 22 2006 Michael Stauber <mstauber@solarspeed.net>
- [1.0.0-SOL4:] Added Require: libmcrypt as we cannot depend on it to be already there.

* Sun Aug 13 2006 Michael Stauber <mstauber@solarspeed.net>
- [1.0.0-SOL3:] Added /home/solarspeed/.distri directory
- Added mcrypt.so to provide mcrypt support for onboard PHP
- Moved php.ini additions to /etc/php.d/ for better maintainability
- Added ioncube.hidden to SRPM for better code maintainability

* Tue Aug 08 2006 Michael Stauber <mstauber@solarspeed.net>
- [1.0.0-SOL2:] Added PHPMailer
- Added generic key for all Solarspeed.net products which do not require individual product key

* Sun Aug 06 2006 Michael Stauber <mstauber@solarspeed.net>
- [1.0.0-SOL1:] Initial build

